`ifndef CONFIG_SVH
`define CONFIG_SVH

// in MHz
`define CLK_FREQ 200_000_000

`define WB_ADDRESS_WIDTH 32
`define WB_DATA_WIDTH 32
`define WB_TAG_WIDTH 0

`define FFPG_BASE_ADDR ('h1_0000)

// in bits
`define STREAM_SIZE 65_536

`include "ffpg_csr.svh"

`define GET_WB_FFPG_ADDR(REG_ADDRESS) (`FFPG_BASE_ADDR + REG_ADDRESS)

`endif //CONFIG_SVH
