// http://wavedrom.com/editor.html
{
  signal: [
    {name: 'CLK IN (400 MHz)',      wave: 'PPPPPPPPPPPPPPPPPPPPPPPPPPPPPP', node: '.AB', period: 1, phase: 0},
    {node: '.EF.G.H...I'},
    {name: 'CLK (200 MHz)',         wave: 'PPPPPPPPPPPPPPP', node: '..CD', period: 2, phase: 0},
    {name: 'TRIG IN',               wave: '0.......1...0..................', node: '...J....K', period: 1, phase: 1},
    {name: 'Memory counter',        wave: '333333333333333', node: '.l', period: 2, phase: 0, data: ['OVRFLW-1', 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]},
    //{name: 'SET Memory',            wave: '222222422242222', node: '', period: 2, phase: 0, data: [0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0]},
    //{name: 'RESET Memory',          wave: '222222422224222', node: '', period: 2, phase: 0, data: [0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0]},
    {name: 'SET pulse',             wave: '0......10..10..', node: '...........M', period: 2, phase: 0},
    {name: 'RESET pulse',           wave: '0......10...10.', node: '............Q', period: 2, phase: 0},
    {name: 'SET pulse (delayed)',   wave: '0.......10..10..', node: '........X...N', period: 2, phase: 2-0.5},
    {name: 'RESET pulse (delayed)', wave: '0.......10...10.', node: '........Y....R', period: 2, phase: 2-1},
    {node: '.......................................S....OPT.V.W...U', period: 0.5},
    {name: 'OUT (pulse)',           wave: '0............................10..............1....0.........', node: '.............................ZL', period: 0.5, phase: 0},
    ],
    edge: [
      'A-E', 'B-F', 'E<->F T',
      'G-C', 'H-D', 'G<->H', 'H~I T × (CLOCK_RATIO_M1 + 1)',
      'J-l', 'J<->K TRIGGER_LATENCY',
      'M-O', 'N-P', 'S->O DELAY_SET', 'O-P', 'T->P',
      'Q-V', 'R-W', 'V<->W', 'U-W DELAY_RESET',
      'X->Z', 'Y->L'
    ]
}