`define ADDR_FFPG_STATUS               16'h0
`define FFPG_STATUS_CLOCK_INFRASTRUCTURE_BUSY_OFFSET 0
`define FFPG_STATUS_CLOCK_INFRASTRUCTURE_BUSY 32'h00000001
`define FFPG_STATUS_DAC_VCXO_BUSY_OFFSET 1
`define FFPG_STATUS_DAC_VCXO_BUSY 32'h00000002
`define FFPG_STATUS_DAC_TRIGGER_BUSY_OFFSET 2
`define FFPG_STATUS_DAC_TRIGGER_BUSY 32'h00000004
`define FFPG_STATUS_DELAY_CONFIGURATION_BUSY_OFFSET 3
`define FFPG_STATUS_DELAY_CONFIGURATION_BUSY 32'h00000008
`define FFPG_STATUS_CHANNEL_1_OE_OFFSET 4
`define FFPG_STATUS_CHANNEL_1_OE 32'h00000010
`define FFPG_STATUS_CHANNEL_2_OE_OFFSET 5
`define FFPG_STATUS_CHANNEL_2_OE 32'h00000020
`define FFPG_STATUS_CHANNEL_1_RUNNING_OFFSET 6
`define FFPG_STATUS_CHANNEL_1_RUNNING 32'h00000040
`define FFPG_STATUS_CHANNEL_2_RUNNING_OFFSET 7
`define FFPG_STATUS_CHANNEL_2_RUNNING 32'h00000080
`define FFPG_STATUS_INPUT_CLOCK_STABLE_OFFSET 8
`define FFPG_STATUS_INPUT_CLOCK_STABLE 32'h00000100
`define ADDR_FFPG_CONTROL              16'h4
`define FFPG_CONTROL_CLOCK_SELECTION_OFFSET 0
`define FFPG_CONTROL_CLOCK_SELECTION 32'h00000003
`define FFPG_CONTROL_CH1_OE_OFFSET 2
`define FFPG_CONTROL_CH1_OE 32'h00000004
`define FFPG_CONTROL_CH2_OE_OFFSET 3
`define FFPG_CONTROL_CH2_OE 32'h00000008
`define FFPG_CONTROL_CH1_MODE_OFFSET 4
`define FFPG_CONTROL_CH1_MODE 32'h00000030
`define FFPG_CONTROL_CH2_MODE_OFFSET 6
`define FFPG_CONTROL_CH2_MODE 32'h000000c0
`define FFPG_CONTROL_LED_TEST_OFFSET 8
`define FFPG_CONTROL_LED_TEST 32'h00000100
`define FFPG_CONTROL_AD9512_SYNC_OFFSET 9
`define FFPG_CONTROL_AD9512_SYNC 32'h00000200
`define FFPG_CONTROL_FINE_DELAY_ENABLE_OFFSET 10
`define FFPG_CONTROL_FINE_DELAY_ENABLE 32'h00000400
`define ADDR_FFPG_VCXO_VOLTAGE         16'h8
`define ADDR_FFPG_CLOCK_RATIO_M1       16'hc
`define ADDR_FFPG_CH1_DELAY_SET        16'h10
`define ADDR_FFPG_CH1_DELAY_RESET      16'h14
`define ADDR_FFPG_CH2_DELAY_SET        16'h18
`define ADDR_FFPG_CH2_DELAY_RESET      16'h1c
`define ADDR_FFPG_TRIGGER_THRESHOLD    16'h20
`define ADDR_FFPG_OVERFLOW             16'h24
`define ADDR_FFPG_CH1_TRIGGER_LATENCY  16'h28
`define ADDR_FFPG_FREQUENCY            16'h2c
`define ADDR_FFPG_DEBUG                16'h30
`define ADDR_FFPG_VERSION              16'h34
`define FFPG_VERSION_REVISION_OFFSET 0
`define FFPG_VERSION_REVISION 32'h00000fff
`define FFPG_VERSION_MINOR_OFFSET 12
`define FFPG_VERSION_MINOR 32'h003ff000
`define FFPG_VERSION_MAJOR_OFFSET 22
`define FFPG_VERSION_MAJOR 32'hffc00000
`define ADDR_FFPG_CH2_TRIGGER_LATENCY  16'h38
`define ADDR_FFPG_FINE_DELAY           16'h3c
`define FFPG_FINE_DELAY_VALUE_OFFSET 0
`define FFPG_FINE_DELAY_VALUE 32'h0000001f
`define FFPG_FINE_DELAY_CURRENT_OFFSET 5
`define FFPG_FINE_DELAY_CURRENT 32'h000000e0
`define FFPG_FINE_DELAY_CAPACITORS_OFFSET 8
`define FFPG_FINE_DELAY_CAPACITORS 32'h00000700
`define BASE_FFPG_CH1_SET_MEM          16'h2000
`define SIZE_FFPG_CH1_SET_MEM          32'h800
`define BASE_FFPG_CH1_RES_MEM          16'h4000
`define SIZE_FFPG_CH1_RES_MEM          32'h800
`define BASE_FFPG_CH2_SET_MEM          16'h6000
`define SIZE_FFPG_CH2_SET_MEM          32'h800
`define BASE_FFPG_CH2_RES_MEM          16'h8000
`define SIZE_FFPG_CH2_RES_MEM          32'h800
