
`define DECLARE_FMC(__nb) \
    logic       Fmc``__nb``ClkIn0P_ik; \
    logic       Fmc``__nb``ClkIn0N_ik; \
    logic       Fmc``__nb``TriggerDac_o_FrameSynchronization_n; \
    logic       Fmc``__nb``TriggerDac_o_SerialClock; \
    logic       Fmc``__nb``TriggerDac_o_SerialData; \
    logic       Fmc``__nb``VcxoDac_o_FrameSynchronization_n; \
    logic       Fmc``__nb``VcxoDac_o_SerialClock; \
    logic       Fmc``__nb``VcxoDac_o_SerialData; \
    logic       Fmc``__nb``Ch1OutputEnable_o; \
    logic       Fmc``__nb``Ch2OutputEnable_o; \
    logic [9:0] Fmc``__nb``DelayValue_ob; \
    logic       Fmc``__nb``Ch1SetLe_o; \
    logic       Fmc``__nb``Ch1ResLe_o; \
    logic       Fmc``__nb``Ch2SetLe_o; \
    logic       Fmc``__nb``Ch2ResLe_o; \
    logic       Fmc``__nb``Ch1SetP_o; \
    logic       Fmc``__nb``Ch1SetN_o; \
    logic       Fmc``__nb``Ch1ResP_o; \
    logic       Fmc``__nb``Ch1ResN_o; \
    logic       Fmc``__nb``Ch2SetP_o; \
    logic       Fmc``__nb``Ch2SetN_o; \
    logic       Fmc``__nb``Ch2ResP_o; \
    logic       Fmc``__nb``Ch2ResN_o; \
    logic       Fmc``__nb``TriggerP_i; \
    logic       Fmc``__nb``TriggerN_i; \
    logic       Fmc``__nb``SpiAd9512Sclk_o; \
    logic       Fmc``__nb``SpiAd9512Mosi_o; \
    logic       Fmc``__nb``SpiAd9512Miso_i; \
    logic       Fmc``__nb``SpiAd9512Cs_on; \
    logic       Fmc``__nb``Ad9512Func_o; \
    logic       Fmc``__nb``Clk2Sel_o; \
    logic       Fmc``__nb``ClkOutP_ok; \
    logic       Fmc``__nb``ClkOutN_ok; \
    wire        Fmc``__nb``Onewire_io; \
    logic [4:1] Fmc``__nb``Led_ob; \
    logic       Fmc``__nb``Present_in;
    
    

`define WIRE_FMC(__nb) \
    .Fmc``__nb``ClkIn0P_ik(Fmc``__nb``ClkIn0P_ik), \
    .Fmc``__nb``ClkIn0N_ik(Fmc``__nb``ClkIn0N_ik), \
    .Fmc``__nb``TriggerDac_o_FrameSynchronization_n(Fmc``__nb``TriggerDac_o_FrameSynchronization_n), \
    .Fmc``__nb``TriggerDac_o_SerialClock(Fmc``__nb``TriggerDac_o_SerialClock), \
    .Fmc``__nb``TriggerDac_o_SerialData(Fmc``__nb``TriggerDac_o_SerialData), \
    .Fmc``__nb``VcxoDac_o_FrameSynchronization_n(Fmc``__nb``VcxoDac_o_FrameSynchronization_n), \
    .Fmc``__nb``VcxoDac_o_SerialClock(Fmc``__nb``VcxoDac_o_SerialClock), \
    .Fmc``__nb``VcxoDac_o_SerialData(Fmc``__nb``VcxoDac_o_SerialData), \
    .Fmc``__nb``Ch1OutputEnable_o(Fmc``__nb``Ch1OutputEnable_o), \
    .Fmc``__nb``Ch2OutputEnable_o(Fmc``__nb``Ch2OutputEnable_o), \
    .Fmc``__nb``DelayValue_ob(Fmc``__nb``DelayValue_ob), \
    .Fmc``__nb``Ch1SetLe_o(Fmc``__nb``Ch1SetLe_o), \
    .Fmc``__nb``Ch1ResLe_o(Fmc``__nb``Ch1ResLe_o), \
    .Fmc``__nb``Ch2SetLe_o(Fmc``__nb``Ch2SetLe_o), \
    .Fmc``__nb``Ch2ResLe_o(Fmc``__nb``Ch2ResLe_o), \
    .Fmc``__nb``Ch1SetP_o(Fmc``__nb``Ch1SetP_o), \
    .Fmc``__nb``Ch1SetN_o(Fmc``__nb``Ch1SetN_o), \
    .Fmc``__nb``Ch1ResP_o(Fmc``__nb``Ch1ResP_o), \
    .Fmc``__nb``Ch1ResN_o(Fmc``__nb``Ch1ResN_o), \
    .Fmc``__nb``Ch2SetP_o(Fmc``__nb``Ch2SetP_o), \
    .Fmc``__nb``Ch2SetN_o(Fmc``__nb``Ch2SetN_o), \
    .Fmc``__nb``Ch2ResP_o(Fmc``__nb``Ch2ResP_o), \
    .Fmc``__nb``Ch2ResN_o(Fmc``__nb``Ch2ResN_o), \
    .Fmc``__nb``TriggerP_i(Fmc``__nb``TriggerP_i), \
    .Fmc``__nb``TriggerN_i(Fmc``__nb``TriggerN_i), \
    .Fmc``__nb``SpiAd9512Sclk_o(Fmc``__nb``SpiAd9512Sclk_o), \
    .Fmc``__nb``SpiAd9512Mosi_o(Fmc``__nb``SpiAd9512Mosi_o), \
    .Fmc``__nb``SpiAd9512Miso_i(Fmc``__nb``SpiAd9512Miso_i), \
    .Fmc``__nb``SpiAd9512Cs_on(Fmc``__nb``SpiAd9512Cs_on), \
    .Fmc``__nb``Ad9512Func_o(Fmc``__nb``Ad9512Func_o), \
    .Fmc``__nb``Clk2Sel_o(Fmc``__nb``Clk2Sel_o), \
    .Fmc``__nb``ClkOutP_ok(Fmc``__nb``ClkOutP_ok), \
    .Fmc``__nb``ClkOutN_ok(Fmc``__nb``ClkOutN_ok), \
    .Fmc``__nb``Onewire_io(Fmc``__nb``Onewire_io), \
    .Fmc``__nb``Led_ob(Fmc``__nb``Led_ob), \
    .Fmc``__nb``Present_in(Fmc``__nb``Present_in),

